package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Woworktask;
import com.gyee.frame.mapper.ticket.WoworktaskMapper;
import com.gyee.frame.service.ticket.WoworktaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Service
public class WoworktaskServiceImpl extends ServiceImpl<WoworktaskMapper, Woworktask> implements WoworktaskService {

    @Override
    public Woworktask getTask(String wonum) {
        QueryWrapper<Woworktask> wrapper = new QueryWrapper<>();
        wrapper.eq("WONUM", wonum);

        Woworktask task = baseMapper.selectOne(wrapper);

        return task;
    }
}
